Skip to main content
GET
Get project integration

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

name
string
required

Integration name, for example "salesforce".

Response

The project integration

configured
boolean
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required
name
string
required
display_name
string
required
icon
string
required
description
string
required
auth_type
enum<string>
required
Available options:
oauth2,
oauth1,
api-key,
basic
tool_count
integer
required
Required range: x >= 0
prompt_count
integer
required
Required range: x >= 0
connected_for_project
boolean
required
scope
enum<string>
required
Available options:
project,
user
allowed_tools
string[] | null
required
config
object
required
execution_mode
enum<string>
required
Available options:
real,
mock
config_schema
object | null
required

The project configuration schema of the integration that config must match, or null when it declares none.

project_connections
object
required
project_user_connections
object
required

Private connections belonging to the interactive viewer in this project. Zero for API keys and service credentials.

resolution
object
required